#!/bin/sh

# McPics install.sh

#no trailing slashes on paths in this file!

#perhaps BINPATH='/home/<user>/bin' if you dont
#want a systemwide install
BINPATH='/usr/bin'

#and maybe SHAREPATH='/home/<user>/mcpics' ?
SHAREPATH='/usr/share/mcpics'

mkdir $BINPATH
mkdir $SHAREPATH

echo "copying mcpics to ${BINPATH}/mcpics"
cp ${PWD}/mcpics $BINPATH
echo ". . . done"

#comment out these next two lines if you put mcpics
#in a directory that is not controlled by root
#(like if you put it somewhere in your home dir)

chown root:root ${BINPATH}/mcpics
chmod 755 ${BINPATH}/mcpics

echo "copying index.php, mcpics.php, mcpics.css to ${SHAREPATH}/"
cp -v ${PWD}/index.php $SHAREPATH
cp -v ${PWD}/mcpics.php $SHAREPATH
cp -v ${PWD}/mcpics.css $SHAREPATH
echo "done."

echo -e "\nMcPics successfully installed!"

exit 0
